Autore Topic: Caricare vecchio sito, ma errori PHP  (Letto 308 volte)

Offline WhiteTiger

  • Appassionato
  • ***
  • Post: 289
  • Sesso: Maschio
    • Mostra profilo
Caricare vecchio sito, ma errori PHP
« il: 14 Set 2020, 19:17:08 »
Devo caricare temporaneamente un vecchio sito sviluppato in J 2.5 tra il 2010 ed il 2011.
Ho i backup di cartelle e DB.
Ho scaricato un vecchio XAMPP (1.7.4 con PHP 5.3.5) e poi con uno più recente (1.7.9 con PHP 5.3. 8) .
Ho ovviamente cambiato il file di configurazione perché punti in localhost.
Però, sia il frontend che il backend mi riportano una valanga di errori PHP come:

Strict Standards: Non-static method JLoader::import() should not be called statically in...
Strict Standards: Non-static method JRequest::clean() should not be called statically in ...
Strict Standards: Non-static method JLoader::register() should not be called statically in ...
Strict Standards: Redefining already defined constructor for class JObject in ...

A questo punto mi domando se sto sbagliando versione di XAMPP/PHP o sto sbagliando in altro modo.


==== Aggiornamento
Alla fine ho risolto con uno XAMPP 1.7.3 che ha PHP 5.3.1.
Però solo parzialmente perché entro sì nel backend, ma il frontend resta bianco.

Nel backup non ho le cartelle TMP e Logs, quali erano i percorsi usando XAMPP?
/htdocs/Sito2010/tmp
/htdocs/Sito2010/logs
« Ultima modifica: 14 Set 2020, 20:06:08 da WhiteTiger »

Offline giusebos

  • Fuori controllo
  • *
  • Post: 20475
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:Caricare vecchio sito, ma errori PHP
« Risposta #1 il: 14 Set 2020, 21:11:46 »
se uno non è sgamato, usare xampp ben configurato potrebbe diventare più difficile che usare uno spazio on line.
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

 

Host

Torna su